Dotlas Data API
API Reference

List search queries

Lists the distinct search terms tracked in the brand's market, so you can see what customers type when looking for food. Optionally filter by source.

GET/brands/{brandSlug}/search-queries
AuthorizationBearer <token>

In: header

Path Parameters

brandSlugstring

Query Parameters

countryCodestring
Value in"ae" | "sa" | "kw" | "qa" | "bh" | "eg" | "jo" | "om" | "ma" | "kz" | "iq"
source?string
limit?integer
Range1 <= value
cursor?string

Response Body

curl -X GET "https://loading/v1/brands/string/search-queries?countryCode=ae&source=string&limit=1&cursor=string"
{
  "data": [
    {
      "searchQuery": "string",
      "searchQueryType": "string",
      "searchMode": "free_text"
    }
  ],
  "pageInfo": {
    "nextCursor": "string",
    "hasMore": true
  }
}
Empty
Empty
Empty
Empty
Empty